%define module	Curses
%define name	perl-%{module}
%define version 1.15
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module for character screen handling and windowing
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		http://search.cpan.org/CPAN/authors/id/G/GI/GIRAFFED/%{module}-%{version}.tar.bz2
Patch0: 	Curses-1.15-use-ncursesw.patch
BuildRequires:	perl-devel
BuildRequires:	libncursesw-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Curses is the interface between Perl and your system's curses(3) library. 


%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
chmod 644 Artistic Copying INSTALL README

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Artistic Copying INSTALL README
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/*/*


%changelog
* Wed Oct 25 2006 Pixel <pixel@mandriva.com> 1.15-2mdv2007.0
+ Revision: 72681
- no need explictly requiring ncurses
- we now need to BuildRequires libncursesw-devel
- increase release
- use ncursesw (to handle wide-chars, and so utf8)

* Fri Oct 20 2006 Pixel <pixel@mandriva.com> 1.15-1mdv2007.1
+ Revision: 71567
- new version
- add "make test"
- Import perl-Curses



* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdk
- New release 1.13
- spec cleanup
- %%mkrel

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdk
- 1.12 
- rpmbuildupdate aware

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-1mdk
- New version 1.07
- Drop patch 0

* Tue Apr 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-8mdk
- rebuild for new perl

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.06-7mdk
- rebuild for new perl
- rm -rf %{buildroot} in %%install, not %%prep
- use %%makeinstall_std macro
- don't mkdir buildroot in %%build
- pass -q to %%setup in stead of %%prep, resulting in quiet setup;)

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06-6mdk
- rebuild for new auto{prov,req}

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.06-5mdk
- rebuild

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.06-4mdk
- rebuild for perl thread-multi
- fix build with thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.06-3mdk
- rebuild for perl 5.8.0
- cleanup

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.06-2mdk
- BuildRequires: perl-devel ncurses-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.06-1mdk
- 1.06.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.05-3mdk
- Rebuild this against the latest perl.

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.05-2mdk
- BM

* Sat Jul 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.05-1mdk
- 1.05
- macroization

* Wed Jun 14 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.02-1mdk
- initial specfile
- bzip sources
